<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/useractionscomponent/actions/interact/expansionactiongetoutexpansionvehicle.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/de8/a02852_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactiongetoutexpansionvehicle.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/de8/a02852.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionGetOutExpansionVehicle.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d6/d75/a07394.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/d75/a07394.html">ExpansionActionGetOutExpansionVehicleActionData</a> : ActionData</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d6/d75/a07394.html#a7117c71a899e4b25e39b30fa7c82c5af">   15</a></span>    <a class="code hl_class" href="../../d6/dac/a07746.html">ExpansionVehicleBase</a> <a class="code hl_variable" href="../../d6/d75/a07394.html#a7117c71a899e4b25e39b30fa7c82c5af">m_Car</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d6/d75/a07394.html#a7e8fe4627d30d45e39d95c7b87f86242">   16</a></span>    vector <a class="code hl_variable" href="../../d6/d75/a07394.html#a7e8fe4627d30d45e39d95c7b87f86242">m_StartLocation</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d6/d75/a07394.html#abbfa237a8e6a9d3fdae99f52fd83caaa">   17</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d6/d75/a07394.html#abbfa237a8e6a9d3fdae99f52fd83caaa">m_CarSpeed</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d6/d75/a07394.html#adcdc96bc47425f80cf729e260a8ede85">   18</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d6/d75/a07394.html#adcdc96bc47425f80cf729e260a8ede85">m_WasJumpingOut</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d6/d75/a07394.html#a52b09ed01ba0572cbc4e5be6b00e226c">   19</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d6/d75/a07394.html#a52b09ed01ba0572cbc4e5be6b00e226c">m_KeepInVehicleSpaceAfterLeave</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d6/d75/a07394.html#a78d39ae2912d9f5d318109fe624c8c00">   20</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d6/d75/a07394.html#a78d39ae2912d9f5d318109fe624c8c00">m_DmgTaken</a> = 0;   <span class="comment">// Damage taken by the player when jumping out of vehicle</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d6/d75/a07394.html#ad7c95f2275460be11e3b905260fd2ef8">   21</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d6/d75/a07394.html#ad7c95f2275460be11e3b905260fd2ef8">m_ShockTaken</a> = 0; <span class="comment">// Shock inflicted to the player when jumping out of vehicle</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>}</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment"></span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d0/d06/a08474.html">   24</a></span><span class="comment">/**@class       ExpansionActionGetOutExpansionVehicle</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="comment"> * @brief       </span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d06/a08474.html">ExpansionActionGetOutExpansionVehicle</a> : ActionInteractBase</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>{</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">//For the two following variables -&gt; The HIGHER the value, the LOWER the output</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#ae32cba335ed9b0eb17c139ea200163bd">   31</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/de8/a02852.html#ae32cba335ed9b0eb17c139ea200163bd">m_DmgFactor</a> = 60;   <span class="comment">//value used to translate impact strength into actual damage (impact strength -&gt; velocity squared)</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#a1ac988bf59a6a2153ec2695391278c4a">   32</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/de8/a02852.html#a1ac988bf59a6a2153ec2695391278c4a">m_ShockFactor</a> = 15; <span class="comment">//Value used to translate impact strength into actual shock</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="comment">//Variables used to determine the different speed levels for bleeding checks</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#a8c4e3abbf504ba8109c02738cbec33b2">   35</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/de8/a02852.html#a8c4e3abbf504ba8109c02738cbec33b2">LOW_SPEED_VALUE</a> = 20;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#ae72f832d8871bc1d6db00222d3f1b47e">   36</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/de8/a02852.html#ae72f832d8871bc1d6db00222d3f1b47e">HIGH_SPEED_VALUE</a> = 30;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#a4d1b44b8d104e1fed0d17b403fdcd033">   38</a></span>    <span class="keywordtype">void</span> <a class="code hl_class" href="../../d0/d06/a08474.html">ExpansionActionGetOutExpansionVehicle</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_ALL;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="comment">//m_HUDCursorIcon = &quot;GetInDriver&quot;;</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#a5e0f63043b33849610c0ad517a105a80">   44</a></span>    <span class="keyword">override</span> ActionData <a class="code hl_function" href="../../da/de8/a02852.html#a5e0f63043b33849610c0ad517a105a80">CreateActionData</a>()</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        ActionData action_data = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/d75/a07394.html">ExpansionActionGetOutExpansionVehicleActionData</a>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">return</span> action_data;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#abcd17c8cf021a33a54f0cea680162b57">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/de8/a02852.html#abcd17c8cf021a33a54f0cea680162b57">WriteToContext</a>(ParamsWriteContext ctx, ActionData action_data)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        super.WriteToContext(ctx, action_data);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_class" href="../../d6/d75/a07394.html">ExpansionActionGetOutExpansionVehicleActionData</a> poActionData;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        poActionData = <a class="code hl_class" href="../../d6/d75/a07394.html">ExpansionActionGetOutExpansionVehicleActionData</a>.Cast(action_data);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        ctx.Write(poActionData.<a class="code hl_variable" href="../../d6/d75/a07394.html#a52b09ed01ba0572cbc4e5be6b00e226c">m_KeepInVehicleSpaceAfterLeave</a>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#a841e97dbe0c115fa73c013edcec6efb7">   60</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/de8/a02852.html#a841e97dbe0c115fa73c013edcec6efb7">ReadFromContext</a>(ParamsReadContext ctx, out ActionReciveData action_recive_data)</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span> (!action_recive_data)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            action_recive_data = <span class="keyword">new</span> ExpansionActionGetOutTransportReciveData;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        super.ReadFromContext(ctx, action_recive_data);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        ExpansionActionGetOutTransportReciveData action_data_po = ExpansionActionGetOutTransportReciveData.Cast(action_recive_data);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span> (!ctx.Read(action_data_po.m_KeepInVehicleSpaceAfterLeave))</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#ae4b8096e050d0a62daa431588f8af715">   77</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/de8/a02852.html#ae4b8096e050d0a62daa431588f8af715">HandleReciveData</a>(ActionReciveData action_recive_data, ActionData action_data)</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        super.HandleReciveData(action_recive_data, action_data);</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        ExpansionActionGetOutTransportReciveData recive_data_po = ExpansionActionGetOutTransportReciveData.Cast(action_recive_data);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <a class="code hl_class" href="../../d6/d75/a07394.html">ExpansionActionGetOutExpansionVehicleActionData</a> action_data_po = <a class="code hl_class" href="../../d6/d75/a07394.html">ExpansionActionGetOutExpansionVehicleActionData</a>.Cast(action_data);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        action_data_po.<a class="code hl_variable" href="../../d6/d75/a07394.html#a52b09ed01ba0572cbc4e5be6b00e226c">m_KeepInVehicleSpaceAfterLeave</a> = recive_data_po.m_KeepInVehicleSpaceAfterLeave;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#a6b922d3bb1d26f790bc52030566ba2df">   87</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5c/a08872.html#a6b922d3bb1d26f790bc52030566ba2df">CreateConditionComponents</a>()</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        m_ConditionItem = <span class="keyword">new</span> CCINone;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        m_ConditionTarget = <span class="keyword">new</span> CCTNone;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#af127b91bedeb70f79583b0183d86be98">   93</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d7/d5c/a08872.html#af127b91bedeb70f79583b0183d86be98">GetText</a>()</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#leave_vehicle&quot;</span>;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#ab6eb153abc42e514909126c621d01280">   98</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../db/d38/a02789.html#ab6eb153abc42e514909126c621d01280">GetInputType</a>()</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">return</span> ContinuousInteractActionInput;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#a6201cf1bf986bd9c1f571cb58a6946ed">  103</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/de8/a02852.html#a6201cf1bf986bd9c1f571cb58a6946ed">HasProgress</a>()</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#aa9aa4864fae11769c65e644b5fd97c66">  108</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d9b/a08833.html#add59dc9e9e85a3185ba2cede7cf9449f">ActionCondition</a>(<a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item)</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <a class="code hl_class" href="../../d6/dac/a07746.html">ExpansionVehicleBase</a> trans = null;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordtype">int</span> crew_index = -1;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <a class="code hl_class" href="../../dc/ded/a04554.html">ExpansionHumanCommandVehicle</a> vehCommand = player.GetCommand_ExpansionVehicle();</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">if</span> (vehCommand)</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <span class="keywordflow">if</span> (Class.CastTo(trans, vehCommand.<a class="code hl_function" href="../../dc/ded/a04554.html#a4b2ef6f703ea234b1968317641a23bd9">GetObject</a>()))</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>                crew_index = trans.CrewMemberIndex(player);</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>                <span class="comment">/*According today testing (12.06.2020) this hack is no longer needed</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span><span class="comment">                //Hack for NIVA - disabling jumpng out from the back seats</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="comment">                Car car;</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span><span class="comment">                if ( Class.CastTo(car, trans) )</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="comment">                {</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span><span class="comment">                    if ( car.GetSpeedometer() &gt; 8 &amp;&amp; crew_index &gt;= 2 &amp;&amp; trans.GetType() == &quot;OffroadHatchback&quot; )</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="comment">                        return false;</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span><span class="comment">                }</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span><span class="comment">*/</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>                <span class="keywordflow">if</span> (crew_index &gt;= 0 &amp;&amp; trans.<a class="code hl_function" href="../../d6/dac/a07746.html#a86f975a815bd5f5f36da47b674e36441">CrewCanGetThrough</a>(crew_index) &amp;&amp; trans.IsAreaAtDoorFree(crew_index))</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span> </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#a5ea74922236a5c49c4e670b694712d4b">  138</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/de8/a02852.html#a5ea74922236a5c49c4e670b694712d4b">CanBeUsedInRestrain</a>()</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#ac606356eec5274b943e399d1261b3d15">  143</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d38/a02789.html#ac606356eec5274b943e399d1261b3d15">CanBeUsedInVehicle</a>()</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    {</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#a2caf1c030cd197f2ba53cffa0d5b9237">  148</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/de8/a02852.html#a2caf1c030cd197f2ba53cffa0d5b9237">OnUpdate</a>(ActionData action_data)</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">if</span> (action_data.m_State == UA_START)</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <span class="keywordflow">if</span> (!action_data.m_Player.GetCommand_ExpansionVehicle())</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            {</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                <a class="code hl_function" href="../../da/de8/a02852.html#ad733af3bc84027d917055fc1b0d697c7">End</a>(action_data);</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            }</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        }</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    }</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span> </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#a41a32155201921d885c85cc4c0bd2962">  159</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/de8/a02852.html#a41a32155201921d885c85cc4c0bd2962">Start</a>(ActionData action_data)</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        super.Start(action_data);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <a class="code hl_function" href="../../da/de8/a02852.html#aa6898c2b9f278f77dc573a2570c980c3">PerformGetOutTransport</a>(action_data);</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    }</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#aa6898c2b9f278f77dc573a2570c980c3">  166</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/de8/a02852.html#aa6898c2b9f278f77dc573a2570c980c3">PerformGetOutTransport</a>(ActionData action_data)</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>    {</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <a class="code hl_class" href="../../dc/ded/a04554.html">ExpansionHumanCommandVehicle</a> vehCommand = action_data.<a class="code hl_variable" href="../../d2/df8/a04550.html#a32ed2727ab3ad60598ee5ac44ee961ed">m_Player</a>.<a class="code hl_function" href="../../df/df6/a04914.html#aa5fbc09850397f7b1bafb34ec16632fd">GetCommand_ExpansionVehicle</a>();</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <span class="keywordflow">if</span> (vehCommand)</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        {</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            <a class="code hl_class" href="../../d6/dac/a07746.html">ExpansionVehicleBase</a> veh = vehCommand.GetExpansionVehicle();</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            <span class="keywordtype">float</span> speed = Math.AbsFloat(veh.GetSpeedometer());</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            <span class="keywordtype">bool</span> keepInVehicleSpaceAfterLeave = veh.Expansion_CanObjectAttach(action_data.m_Player) &amp;&amp; veh.LeavingSeatDoesAttachment(vehCommand.<a class="code hl_function" href="../../dc/ded/a04554.html#a60ea8b40e09ccf5f3aa535b85289c526">GetVehicleSeat</a>());</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            <span class="keyword">auto</span> got_action_data = <a class="code hl_class" href="../../d6/d75/a07394.html">ExpansionActionGetOutExpansionVehicleActionData</a>.Cast(action_data);</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a7e8fe4627d30d45e39d95c7b87f86242">m_StartLocation</a> = got_action_data.m_Player.GetPosition();</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            got_action_data.m_Car = veh;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>            got_action_data.m_CarSpeed = speed;</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            <span class="comment">//TODO: Figure out what this comment even means... copied from vanilla - Jacob_Mango</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>            got_action_data.m_DmgTaken = (got_action_data.m_CarSpeed * got_action_data.m_CarSpeed) / <a class="code hl_variable" href="../../da/de8/a02852.html#ae32cba335ed9b0eb17c139ea200163bd">m_DmgFactor</a>; <span class="comment">//When using multiplications, wrong value is returned</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>            got_action_data.m_ShockTaken = (got_action_data.m_CarSpeed * got_action_data.m_CarSpeed) / <a class="code hl_variable" href="../../da/de8/a02852.html#a1ac988bf59a6a2153ec2695391278c4a">m_ShockFactor</a>;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>            </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>            <span class="keywordflow">if</span> (IsMissionClient())</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>                got_action_data.m_KeepInVehicleSpaceAfterLeave = keepInVehicleSpaceAfterLeave;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span> </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>            vehCommand.<a class="code hl_function" href="../../dc/ded/a04554.html#a715739fd6b233369c534209bda47e16a">KeepInVehicleSpaceAfterLeave</a>(got_action_data.m_KeepInVehicleSpaceAfterLeave);</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>            <span class="keywordflow">if</span> (got_action_data.m_KeepInVehicleSpaceAfterLeave)</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            {</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>                vehCommand.<a class="code hl_function" href="../../dc/ded/a04554.html#a01daa0d76395906a4ac1055cb852dec5">GetOutVehicle</a>();</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> (speed &lt;= 8)</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            {</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>                vehCommand.<a class="code hl_function" href="../../dc/ded/a04554.html#a01daa0d76395906a4ac1055cb852dec5">GetOutVehicle</a>();</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>            }</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>            {</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>                got_action_data.m_WasJumpingOut = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>                vehCommand.<a class="code hl_function" href="../../dc/ded/a04554.html#ac42453aeca8df1603a79ee3ca01cb329">JumpOutVehicle</a>();</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>            }</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>            GetDayZGame().GetBacklit().OnLeaveCar();</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>            <span class="keywordflow">if</span> (action_data.m_Player.GetInventory())</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>                action_data.m_Player.GetInventory().LockInventory(LOCK_FROM_SCRIPT);</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        }</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    }</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span> </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#ad733af3bc84027d917055fc1b0d697c7">  209</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/de8/a02852.html#ad733af3bc84027d917055fc1b0d697c7">End</a>(ActionData action_data)</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    {</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        GetGame().GetCallQueue(CALL_CATEGORY_GAMEPLAY).CallLater(<a class="code hl_function" href="../../da/de8/a02852.html#ad352301fe48925d12fdeb7387c52c056">Unhide</a>, 500, <span class="keyword">false</span>, (action_data.m_Player));</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        super.End(action_data);</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    }</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span> </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#ad352301fe48925d12fdeb7387c52c056">  215</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/de8/a02852.html#ad352301fe48925d12fdeb7387c52c056">Unhide</a>(<a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    {</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        player.GetItemAccessor().HideItemInHands(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    }</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span> </div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#aa4e2512c61538ce6fbad115d6b6ebb27">  220</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/de8/a02852.html#aa4e2512c61538ce6fbad115d6b6ebb27">OnEnd</a>(ActionData action_data)</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    {</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        <span class="keywordflow">if</span> (action_data.m_Player.GetInventory())</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>            action_data.m_Player.GetInventory().UnlockInventory(LOCK_FROM_SCRIPT);</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    }</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span> </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#a2ebf3855cc8960864124ba5ca4949033">  226</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/de8/a02852.html#a2ebf3855cc8960864124ba5ca4949033">OnEndServer</a>(ActionData action_data)</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>    {</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <a class="code hl_class" href="../../d6/d75/a07394.html">ExpansionActionGetOutExpansionVehicleActionData</a> got_action_data = <a class="code hl_class" href="../../d6/d75/a07394.html">ExpansionActionGetOutExpansionVehicleActionData</a>.Cast(action_data);</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        <span class="keywordflow">if</span> (got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a52b09ed01ba0572cbc4e5be6b00e226c">m_KeepInVehicleSpaceAfterLeave</a>)</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span> </div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        action_data.m_Player.SetInVehicle(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        <span class="keywordflow">if</span> (got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a7117c71a899e4b25e39b30fa7c82c5af">m_Car</a> &amp;&amp; got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a7117c71a899e4b25e39b30fa7c82c5af">m_Car</a>.<a class="code hl_function" href="../../d6/dac/a07746.html#afd0b042e748cc55e2877fa0e2963a4c2">IsHelicopter</a>())</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>            got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a7117c71a899e4b25e39b30fa7c82c5af">m_Car</a>.SetHasPilot(<span class="keyword">false</span>);  <span class="comment">//! So we are able to detect if pilot got disconnected or got out on own accord</span></div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span><span class="comment"></span> </div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span><span class="comment">        //! The following code is similar to vanilla ActionGetOutTransport::OnEndServer,</span></div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span><span class="comment">        //! except that we don&#39;t use RaycastRV(Proxy) because it can return results that aren&#39;t even in the rays path or radius.</span></div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span><span class="comment">        //! This fixes an exploit that was introduced with DayZ 1.11 where players could glitch through floors when getting out of a vehicle.</span></div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span><span class="comment"></span> </div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        vector endLocation = action_data.m_Player.GetPosition() + <span class="stringliteral">&quot;0 0.5 0&quot;</span>;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span> </div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>        PhxInteractionLayers layerMask = PhxInteractionLayers.BUILDING | PhxInteractionLayers.DOOR | PhxInteractionLayers.VEHICLE | PhxInteractionLayers.ROADWAY | PhxInteractionLayers.TERRAIN | PhxInteractionLayers.ITEM_SMALL | PhxInteractionLayers.ITEM_LARGE | PhxInteractionLayers.FENCE;</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span> </div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        Object hitObject;</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>        vector hitPosition;</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>        vector hitNormal;</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>        <span class="keywordtype">float</span> hitFraction;</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span> </div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        <span class="keywordflow">if</span> (DayZPhysics.SphereCastBullet(got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a7e8fe4627d30d45e39d95c7b87f86242">m_StartLocation</a>, endLocation, 0.3, layerMask, got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a7117c71a899e4b25e39b30fa7c82c5af">m_Car</a>, hitObject, hitPosition, hitNormal, hitFraction))</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        {</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>            vector offset = got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a7e8fe4627d30d45e39d95c7b87f86242">m_StartLocation</a> - hitPosition;</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>            offset.Normalize();</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>            offset = offset * 0.5; <span class="comment">//! Reduce offset so there&#39;s less chance that player gets stuck in vehicle</span></div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>            got_action_data.m_Player.SetPosition(hitPosition + offset);</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        }</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>        <span class="keywordflow">if</span> (got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#adcdc96bc47425f80cf729e260a8ede85">m_WasJumpingOut</a>)</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        {</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>            got_action_data.m_Player.OnJumpOutVehicleFinish(got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#abbfa237a8e6a9d3fdae99f52fd83caaa">m_CarSpeed</a>);</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span> </div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>            <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player = got_action_data.m_Player;</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span> </div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>            <a class="code hl_function" href="../../da/de8/a02852.html#a9d04c63901095bd3751e955271eb8e77">ApplyJumpOutDmg</a>(action_data);</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span> </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>            vector posMS = player.WorldToModel(player.GetPosition());</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>            player.DamageAllLegs(got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a78d39ae2912d9f5d318109fe624c8c00">m_DmgTaken</a>); <span class="comment">//! Additional leg specific damage dealing</span></div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>            player.ProcessDirectDamage(DT_CUSTOM, player, <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;FallDamage&quot;</span>, posMS, got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a78d39ae2912d9f5d318109fe624c8c00">m_DmgTaken</a>);</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>        }</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span> </div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>        <span class="keywordflow">if</span> (got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a7117c71a899e4b25e39b30fa7c82c5af">m_Car</a>)</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>        {</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>            <a class="code hl_class" href="../../df/d0f/a05070.html">CarScript</a> car;</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>            <span class="keywordflow">if</span> (Class.CastTo(car, got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a7117c71a899e4b25e39b30fa7c82c5af">m_Car</a>))</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>            {</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>                car.ForceUpdateLightsEnd();</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>            }</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>        </div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>            <span class="keywordflow">if</span> (action_data.m_Player &amp;&amp; action_data.m_Player.GetIdentity() &amp;&amp; <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetLog().VehicleLeave)</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>            {</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>                <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#a1eb9f973eaeefbb8868edb6e23ec9c77">GetLog</a>().<a class="code hl_function" href="../../d1/d6c/a04478.html#add340da6804cc9f46e54b1602451955a">PrintLog</a>(<span class="stringliteral">&quot;[VehicleLeave] Player &quot;</span> + action_data.m_Player.GetIdentity().GetName() + <span class="stringliteral">&quot; [uid=&quot;</span> + action_data.m_Player.GetIdentity().GetId() + <span class="stringliteral">&quot;] left vehicle &quot;</span> + got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a7117c71a899e4b25e39b30fa7c82c5af">m_Car</a>.GetDisplayName() + <span class="stringliteral">&quot; (id=&quot;</span> + got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a7117c71a899e4b25e39b30fa7c82c5af">m_Car</a>.GetVehiclePersistentIDString() + <span class="stringliteral">&quot; pos=&quot;</span> + got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a7117c71a899e4b25e39b30fa7c82c5af">m_Car</a>.GetPosition() + <span class="stringliteral">&quot;)&quot;</span>);</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>            }</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>        }</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>    }</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span> </div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>    <span class="comment">//Manage all jumping out of vehicle damage logic</span></div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno"><a class="line" href="../../da/de8/a02852.html#a9d04c63901095bd3751e955271eb8e77">  286</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/de8/a02852.html#a9d04c63901095bd3751e955271eb8e77">ApplyJumpOutDmg</a>(ActionData action_data)</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>    {</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>        <a class="code hl_class" href="../../d6/d75/a07394.html">ExpansionActionGetOutExpansionVehicleActionData</a> got_action_data = <a class="code hl_class" href="../../d6/d75/a07394.html">ExpansionActionGetOutExpansionVehicleActionData</a>.Cast(action_data);</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>        <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player = got_action_data.m_Player;</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span> </div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>        <span class="comment">//Get all currently equipped clothing</span></div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>        <span class="comment">// ---------------------------------------------</span></div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span> </div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>        ClothingBase trousers = ClothingBase.Cast(player.GetItemOnSlot(<span class="stringliteral">&quot;LEGS&quot;</span>));</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>        ClothingBase bag = ClothingBase.Cast(player.GetItemOnSlot(<span class="stringliteral">&quot;BACK&quot;</span>));</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>        ClothingBase vest = ClothingBase.Cast(player.GetItemOnSlot(<span class="stringliteral">&quot;VEST&quot;</span>));</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>        ClothingBase headGear = ClothingBase.Cast(player.GetItemOnSlot(<span class="stringliteral">&quot;HeadGear&quot;</span>));</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>        ClothingBase mask = ClothingBase.Cast(player.GetItemOnSlot(<span class="stringliteral">&quot;Mask&quot;</span>));</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>        ClothingBase shirt = ClothingBase.Cast(player.GetItemOnSlot(<span class="stringliteral">&quot;BODY&quot;</span>));</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>        ClothingBase shoes = ClothingBase.Cast(player.GetItemOnSlot(<span class="stringliteral">&quot;FEET&quot;</span>));</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>        ClothingBase gloves = ClothingBase.Cast(player.GetItemOnSlot(<span class="stringliteral">&quot;GLOVES&quot;</span>));</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span> </div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>        <span class="comment">//Array used to find all relevant information about currently equipped clothes</span></div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>        array&lt;ClothingBase&gt; equippedClothes = <span class="keyword">new</span> array&lt;ClothingBase&gt;;</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span> </div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>        equippedClothes.Insert(trousers);</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>        equippedClothes.Insert(bag);</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>        equippedClothes.Insert(vest);</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>        equippedClothes.Insert(headGear);</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>        equippedClothes.Insert(mask);</div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>        equippedClothes.Insert(shirt);</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>        equippedClothes.Insert(shoes);</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>        equippedClothes.Insert(gloves);</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span> </div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>        <span class="comment">// -----------------------------------------------</span></div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span> </div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span>        <span class="comment">//Lower shock taken if player uses a helmet</span></div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span>        headGear = ClothingBase.Cast(player.GetItemOnHead());</div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span>        HelmetBase helmet;</div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span> </div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span>        <span class="keywordflow">if</span> (Class.CastTo(helmet, headGear))</div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span>            got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#ad7c95f2275460be11e3b905260fd2ef8">m_ShockTaken</a> *= 0.5;</div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span> </div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span>        <span class="comment">// -----------------------------------------------</span></div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span> </div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span>        <span class="keywordtype">int</span> randNum; <span class="comment">//value used for probability evaluation</span></div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span>        randNum = Math.RandomInt(0, 100);</div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span>        <span class="keywordflow">if</span> (got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#abbfa237a8e6a9d3fdae99f52fd83caaa">m_CarSpeed</a> &lt; <a class="code hl_variable" href="../../da/de8/a02852.html#a8c4e3abbf504ba8109c02738cbec33b2">LOW_SPEED_VALUE</a>)</div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span>        {</div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span>            <span class="keywordflow">if</span> (randNum &lt; 20)</div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span>                player.GiveShock(-got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#ad7c95f2275460be11e3b905260fd2ef8">m_ShockTaken</a>); <span class="comment">//To inflict shock, a negative value must be passed</span></div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span> </div>
<div class="line"><a id="l00333" name="l00333"></a><span class="lineno">  333</span>            randNum = Math.RandomIntInclusive(0, <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a>.m_BleedingSourcesLow.Count() - 1);</div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span> </div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span>            player.m_BleedingManagerServer.AttemptAddBleedingSourceBySelection(<a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a>.m_BleedingSourcesLow[randNum]);</div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span>        }</div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno">  337</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#abbfa237a8e6a9d3fdae99f52fd83caaa">m_CarSpeed</a> &gt;= <a class="code hl_variable" href="../../da/de8/a02852.html#a8c4e3abbf504ba8109c02738cbec33b2">LOW_SPEED_VALUE</a> &amp;&amp; got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#abbfa237a8e6a9d3fdae99f52fd83caaa">m_CarSpeed</a> &lt; <a class="code hl_variable" href="../../da/de8/a02852.html#ae72f832d8871bc1d6db00222d3f1b47e">HIGH_SPEED_VALUE</a>)</div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>        {</div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>            <span class="keywordflow">if</span> (randNum &lt; 50)</div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span>                player.GiveShock(-got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#ad7c95f2275460be11e3b905260fd2ef8">m_ShockTaken</a>);</div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno">  341</span> </div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span>            randNum = Math.RandomInt(0, <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a>.m_BleedingSourcesUp.Count() - 1);</div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span> </div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span>            player.m_BleedingManagerServer.AttemptAddBleedingSourceBySelection(<a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a>.m_BleedingSourcesUp[randNum]);</div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno">  345</span>        }</div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#abbfa237a8e6a9d3fdae99f52fd83caaa">m_CarSpeed</a> &gt;= <a class="code hl_variable" href="../../da/de8/a02852.html#ae72f832d8871bc1d6db00222d3f1b47e">HIGH_SPEED_VALUE</a>)</div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno">  347</span>        {</div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span>            headGear = ClothingBase.Cast(player.GetItemOnHead());</div>
<div class="line"><a id="l00349" name="l00349"></a><span class="lineno">  349</span>            <span class="keywordflow">if</span> (!Class.CastTo(helmet, headGear))</div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno">  350</span>                player.m_BleedingManagerServer.AttemptAddBleedingSourceBySelection(<span class="stringliteral">&quot;Head&quot;</span>);</div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno">  351</span>            <span class="keywordflow">if</span> (randNum &lt; 75)</div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span>                player.GiveShock(-got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#ad7c95f2275460be11e3b905260fd2ef8">m_ShockTaken</a>);</div>
<div class="line"><a id="l00353" name="l00353"></a><span class="lineno">  353</span>        }</div>
<div class="line"><a id="l00354" name="l00354"></a><span class="lineno">  354</span> </div>
<div class="line"><a id="l00355" name="l00355"></a><span class="lineno">  355</span>        <span class="keywordtype">int</span> nbClothes = 0;</div>
<div class="line"><a id="l00356" name="l00356"></a><span class="lineno">  356</span> </div>
<div class="line"><a id="l00357" name="l00357"></a><span class="lineno">  357</span>        <span class="comment">//Damage all currently equipped clothes</span></div>
<div class="line"><a id="l00358" name="l00358"></a><span class="lineno">  358</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; equippedClothes.Count(); i++)</div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno">  359</span>        {</div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span>            <span class="comment">//If no item is equipped on slot, slot is ignored</span></div>
<div class="line"><a id="l00361" name="l00361"></a><span class="lineno">  361</span>            <span class="keywordflow">if</span> (equippedClothes[i] == null)</div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno">  362</span>                <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span> </div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno">  364</span>            equippedClothes[i].DecreaseHealth(got_action_data.<a class="code hl_variable" href="../../d6/d75/a07394.html#a78d39ae2912d9f5d318109fe624c8c00">m_DmgTaken</a>, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno">  365</span>            nbClothes++;</div>
<div class="line"><a id="l00366" name="l00366"></a><span class="lineno">  366</span>        }</div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno">  367</span>    }</div>
<div class="line"><a id="l00368" name="l00368"></a><span class="lineno">  368</span>};</div>
<div class="ttc" id="aa02789_html_ab6eb153abc42e514909126c621d01280"><div class="ttname"><a href="../../db/d38/a02789.html#ab6eb153abc42e514909126c621d01280">GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d38/a02789_source.html#l00044">expansionactionhelicopterhoverrefill.c:44</a></div></div>
<div class="ttc" id="aa02789_html_ac606356eec5274b943e399d1261b3d15"><div class="ttname"><a href="../../db/d38/a02789.html#ac606356eec5274b943e399d1261b3d15">CanBeUsedInVehicle</a></div><div class="ttdeci">override bool CanBeUsedInVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d38/a02789_source.html#l00054">expansionactionhelicopterhoverrefill.c:54</a></div></div>
<div class="ttc" id="aa02852_html_a1ac988bf59a6a2153ec2695391278c4a"><div class="ttname"><a href="../../da/de8/a02852.html#a1ac988bf59a6a2153ec2695391278c4a">m_ShockFactor</a></div><div class="ttdeci">int m_ShockFactor</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00032">expansionactiongetoutexpansionvehicle.c:32</a></div></div>
<div class="ttc" id="aa02852_html_a2caf1c030cd197f2ba53cffa0d5b9237"><div class="ttname"><a href="../../da/de8/a02852.html#a2caf1c030cd197f2ba53cffa0d5b9237">OnUpdate</a></div><div class="ttdeci">override void OnUpdate(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00148">expansionactiongetoutexpansionvehicle.c:148</a></div></div>
<div class="ttc" id="aa02852_html_a2ebf3855cc8960864124ba5ca4949033"><div class="ttname"><a href="../../da/de8/a02852.html#a2ebf3855cc8960864124ba5ca4949033">OnEndServer</a></div><div class="ttdeci">override void OnEndServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00226">expansionactiongetoutexpansionvehicle.c:226</a></div></div>
<div class="ttc" id="aa02852_html_a41a32155201921d885c85cc4c0bd2962"><div class="ttname"><a href="../../da/de8/a02852.html#a41a32155201921d885c85cc4c0bd2962">Start</a></div><div class="ttdeci">override void Start(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00159">expansionactiongetoutexpansionvehicle.c:159</a></div></div>
<div class="ttc" id="aa02852_html_a5e0f63043b33849610c0ad517a105a80"><div class="ttname"><a href="../../da/de8/a02852.html#a5e0f63043b33849610c0ad517a105a80">CreateActionData</a></div><div class="ttdeci">override ActionData CreateActionData()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00044">expansionactiongetoutexpansionvehicle.c:44</a></div></div>
<div class="ttc" id="aa02852_html_a5ea74922236a5c49c4e670b694712d4b"><div class="ttname"><a href="../../da/de8/a02852.html#a5ea74922236a5c49c4e670b694712d4b">CanBeUsedInRestrain</a></div><div class="ttdeci">override bool CanBeUsedInRestrain()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00138">expansionactiongetoutexpansionvehicle.c:138</a></div></div>
<div class="ttc" id="aa02852_html_a6201cf1bf986bd9c1f571cb58a6946ed"><div class="ttname"><a href="../../da/de8/a02852.html#a6201cf1bf986bd9c1f571cb58a6946ed">HasProgress</a></div><div class="ttdeci">override bool HasProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00103">expansionactiongetoutexpansionvehicle.c:103</a></div></div>
<div class="ttc" id="aa02852_html_a841e97dbe0c115fa73c013edcec6efb7"><div class="ttname"><a href="../../da/de8/a02852.html#a841e97dbe0c115fa73c013edcec6efb7">ReadFromContext</a></div><div class="ttdeci">override bool ReadFromContext(ParamsReadContext ctx, out ActionReciveData action_recive_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00060">expansionactiongetoutexpansionvehicle.c:60</a></div></div>
<div class="ttc" id="aa02852_html_a8c4e3abbf504ba8109c02738cbec33b2"><div class="ttname"><a href="../../da/de8/a02852.html#a8c4e3abbf504ba8109c02738cbec33b2">LOW_SPEED_VALUE</a></div><div class="ttdeci">const int LOW_SPEED_VALUE</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00035">expansionactiongetoutexpansionvehicle.c:35</a></div></div>
<div class="ttc" id="aa02852_html_a9d04c63901095bd3751e955271eb8e77"><div class="ttname"><a href="../../da/de8/a02852.html#a9d04c63901095bd3751e955271eb8e77">ApplyJumpOutDmg</a></div><div class="ttdeci">void ApplyJumpOutDmg(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00286">expansionactiongetoutexpansionvehicle.c:286</a></div></div>
<div class="ttc" id="aa02852_html_aa4e2512c61538ce6fbad115d6b6ebb27"><div class="ttname"><a href="../../da/de8/a02852.html#aa4e2512c61538ce6fbad115d6b6ebb27">OnEnd</a></div><div class="ttdeci">override void OnEnd(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00220">expansionactiongetoutexpansionvehicle.c:220</a></div></div>
<div class="ttc" id="aa02852_html_aa6898c2b9f278f77dc573a2570c980c3"><div class="ttname"><a href="../../da/de8/a02852.html#aa6898c2b9f278f77dc573a2570c980c3">PerformGetOutTransport</a></div><div class="ttdeci">void PerformGetOutTransport(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00166">expansionactiongetoutexpansionvehicle.c:166</a></div></div>
<div class="ttc" id="aa02852_html_abcd17c8cf021a33a54f0cea680162b57"><div class="ttname"><a href="../../da/de8/a02852.html#abcd17c8cf021a33a54f0cea680162b57">WriteToContext</a></div><div class="ttdeci">override void WriteToContext(ParamsWriteContext ctx, ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00050">expansionactiongetoutexpansionvehicle.c:50</a></div></div>
<div class="ttc" id="aa02852_html_ad352301fe48925d12fdeb7387c52c056"><div class="ttname"><a href="../../da/de8/a02852.html#ad352301fe48925d12fdeb7387c52c056">Unhide</a></div><div class="ttdeci">void Unhide(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00215">expansionactiongetoutexpansionvehicle.c:215</a></div></div>
<div class="ttc" id="aa02852_html_ad733af3bc84027d917055fc1b0d697c7"><div class="ttname"><a href="../../da/de8/a02852.html#ad733af3bc84027d917055fc1b0d697c7">End</a></div><div class="ttdeci">override void End(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00209">expansionactiongetoutexpansionvehicle.c:209</a></div></div>
<div class="ttc" id="aa02852_html_ae32cba335ed9b0eb17c139ea200163bd"><div class="ttname"><a href="../../da/de8/a02852.html#ae32cba335ed9b0eb17c139ea200163bd">m_DmgFactor</a></div><div class="ttdeci">m_DmgFactor</div></div>
<div class="ttc" id="aa02852_html_ae4b8096e050d0a62daa431588f8af715"><div class="ttname"><a href="../../da/de8/a02852.html#ae4b8096e050d0a62daa431588f8af715">HandleReciveData</a></div><div class="ttdeci">override void HandleReciveData(ActionReciveData action_recive_data, ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00077">expansionactiongetoutexpansionvehicle.c:77</a></div></div>
<div class="ttc" id="aa02852_html_ae72f832d8871bc1d6db00222d3f1b47e"><div class="ttname"><a href="../../da/de8/a02852.html#ae72f832d8871bc1d6db00222d3f1b47e">HIGH_SPEED_VALUE</a></div><div class="ttdeci">const int HIGH_SPEED_VALUE</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00036">expansionactiongetoutexpansionvehicle.c:36</a></div></div>
<div class="ttc" id="aa03482_html_a1eb9f973eaeefbb8868edb6e23ec9c77"><div class="ttname"><a href="../../d1/d07/a03482.html#a1eb9f973eaeefbb8868edb6e23ec9c77">ExpansionSettings::GetLog</a></div><div class="ttdeci">ExpansionLogSettings GetLog(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00234">expansionsettings.c:234</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04478_html_add340da6804cc9f46e54b1602451955a"><div class="ttname"><a href="../../d1/d6c/a04478.html#add340da6804cc9f46e54b1602451955a">ExpansionLogSettings::PrintLog</a></div><div class="ttdeci">void PrintLog(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/a00911_source.html#l00402">expansionlogsettings.c:402</a></div></div>
<div class="ttc" id="aa04550_html_a32ed2727ab3ad60598ee5ac44ee961ed"><div class="ttname"><a href="../../d2/df8/a04550.html#a32ed2727ab3ad60598ee5ac44ee961ed">ExpansionHumanCommandScript::m_Player</a></div><div class="ttdeci">DayZPlayerImplement m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d88/a00962_source.html#l00015">expansionhumancommandscript.c:15</a></div></div>
<div class="ttc" id="aa04554_html"><div class="ttname"><a href="../../dc/ded/a04554.html">ExpansionHumanCommandVehicle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/a00965_source.html#l00013">expansionhumancommandvehicle.c:14</a></div></div>
<div class="ttc" id="aa04554_html_a01daa0d76395906a4ac1055cb852dec5"><div class="ttname"><a href="../../dc/ded/a04554.html#a01daa0d76395906a4ac1055cb852dec5">ExpansionHumanCommandVehicle::GetOutVehicle</a></div><div class="ttdeci">void GetOutVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/a00965_source.html#l00391">expansionhumancommandvehicle.c:391</a></div></div>
<div class="ttc" id="aa04554_html_a4b2ef6f703ea234b1968317641a23bd9"><div class="ttname"><a href="../../dc/ded/a04554.html#a4b2ef6f703ea234b1968317641a23bd9">ExpansionHumanCommandVehicle::GetObject</a></div><div class="ttdeci">Object GetObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/a00965_source.html#l00473">expansionhumancommandvehicle.c:473</a></div></div>
<div class="ttc" id="aa04554_html_a60ea8b40e09ccf5f3aa535b85289c526"><div class="ttname"><a href="../../dc/ded/a04554.html#a60ea8b40e09ccf5f3aa535b85289c526">ExpansionHumanCommandVehicle::GetVehicleSeat</a></div><div class="ttdeci">int GetVehicleSeat()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/a00965_source.html#l00490">expansionhumancommandvehicle.c:490</a></div></div>
<div class="ttc" id="aa04554_html_a715739fd6b233369c534209bda47e16a"><div class="ttname"><a href="../../dc/ded/a04554.html#a715739fd6b233369c534209bda47e16a">ExpansionHumanCommandVehicle::KeepInVehicleSpaceAfterLeave</a></div><div class="ttdeci">void KeepInVehicleSpaceAfterLeave(bool pState)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/a00965_source.html#l00500">expansionhumancommandvehicle.c:500</a></div></div>
<div class="ttc" id="aa04554_html_ac42453aeca8df1603a79ee3ca01cb329"><div class="ttname"><a href="../../dc/ded/a04554.html#ac42453aeca8df1603a79ee3ca01cb329">ExpansionHumanCommandVehicle::JumpOutVehicle</a></div><div class="ttdeci">void JumpOutVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/a00965_source.html#l00410">expansionhumancommandvehicle.c:410</a></div></div>
<div class="ttc" id="aa04854_html"><div class="ttname"><a href="../../d1/de3/a04854.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa04914_html_aa5fbc09850397f7b1bafb34ec16632fd"><div class="ttname"><a href="../../df/df6/a04914.html#aa5fbc09850397f7b1bafb34ec16632fd">DayZPlayerImplement::GetCommand_ExpansionVehicle</a></div><div class="ttdeci">ExpansionHumanCommandVehicle GetCommand_ExpansionVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dd7/a09286_source.html#l00020">dayzplayerimplement.c:20</a></div></div>
<div class="ttc" id="aa05070_html"><div class="ttname"><a href="../../df/d0f/a05070.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dc3/a09307_source.html#l00016">carscript.c:17</a></div></div>
<div class="ttc" id="aa07394_html"><div class="ttname"><a href="../../d6/d75/a07394.html">ExpansionActionGetOutExpansionVehicleActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00013">expansionactiongetoutexpansionvehicle.c:14</a></div></div>
<div class="ttc" id="aa07394_html_a52b09ed01ba0572cbc4e5be6b00e226c"><div class="ttname"><a href="../../d6/d75/a07394.html#a52b09ed01ba0572cbc4e5be6b00e226c">ExpansionActionGetOutExpansionVehicleActionData::m_KeepInVehicleSpaceAfterLeave</a></div><div class="ttdeci">bool m_KeepInVehicleSpaceAfterLeave</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00019">expansionactiongetoutexpansionvehicle.c:19</a></div></div>
<div class="ttc" id="aa07394_html_a7117c71a899e4b25e39b30fa7c82c5af"><div class="ttname"><a href="../../d6/d75/a07394.html#a7117c71a899e4b25e39b30fa7c82c5af">ExpansionActionGetOutExpansionVehicleActionData::m_Car</a></div><div class="ttdeci">ExpansionVehicleBase m_Car</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00015">expansionactiongetoutexpansionvehicle.c:15</a></div></div>
<div class="ttc" id="aa07394_html_a78d39ae2912d9f5d318109fe624c8c00"><div class="ttname"><a href="../../d6/d75/a07394.html#a78d39ae2912d9f5d318109fe624c8c00">ExpansionActionGetOutExpansionVehicleActionData::m_DmgTaken</a></div><div class="ttdeci">float m_DmgTaken</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00020">expansionactiongetoutexpansionvehicle.c:20</a></div></div>
<div class="ttc" id="aa07394_html_a7e8fe4627d30d45e39d95c7b87f86242"><div class="ttname"><a href="../../d6/d75/a07394.html#a7e8fe4627d30d45e39d95c7b87f86242">ExpansionActionGetOutExpansionVehicleActionData::m_StartLocation</a></div><div class="ttdeci">vector m_StartLocation</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00016">expansionactiongetoutexpansionvehicle.c:16</a></div></div>
<div class="ttc" id="aa07394_html_abbfa237a8e6a9d3fdae99f52fd83caaa"><div class="ttname"><a href="../../d6/d75/a07394.html#abbfa237a8e6a9d3fdae99f52fd83caaa">ExpansionActionGetOutExpansionVehicleActionData::m_CarSpeed</a></div><div class="ttdeci">float m_CarSpeed</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00017">expansionactiongetoutexpansionvehicle.c:17</a></div></div>
<div class="ttc" id="aa07394_html_ad7c95f2275460be11e3b905260fd2ef8"><div class="ttname"><a href="../../d6/d75/a07394.html#ad7c95f2275460be11e3b905260fd2ef8">ExpansionActionGetOutExpansionVehicleActionData::m_ShockTaken</a></div><div class="ttdeci">float m_ShockTaken</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00021">expansionactiongetoutexpansionvehicle.c:21</a></div></div>
<div class="ttc" id="aa07394_html_adcdc96bc47425f80cf729e260a8ede85"><div class="ttname"><a href="../../d6/d75/a07394.html#adcdc96bc47425f80cf729e260a8ede85">ExpansionActionGetOutExpansionVehicleActionData::m_WasJumpingOut</a></div><div class="ttdeci">bool m_WasJumpingOut</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00018">expansionactiongetoutexpansionvehicle.c:18</a></div></div>
<div class="ttc" id="aa07746_html"><div class="ttname"><a href="../../d6/dac/a07746.html">ExpansionVehicleBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db1/a03098_source.html#l00017">expansionvehiclebikebase.c:18</a></div></div>
<div class="ttc" id="aa07746_html_a86f975a815bd5f5f36da47b674e36441"><div class="ttname"><a href="../../d6/dac/a07746.html#a86f975a815bd5f5f36da47b674e36441">ExpansionVehicleBase::CrewCanGetThrough</a></div><div class="ttdeci">override bool CrewCanGetThrough(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db1/a03098_source.html#l00091">expansionvehiclebikebase.c:91</a></div></div>
<div class="ttc" id="aa07746_html_afd0b042e748cc55e2877fa0e2963a4c2"><div class="ttname"><a href="../../d6/dac/a07746.html#afd0b042e748cc55e2877fa0e2963a4c2">ExpansionVehicleBase::IsHelicopter</a></div><div class="ttdeci">override bool IsHelicopter()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4a/a03107_source.html#l00666">expansionvehiclehelicopterbase.c:666</a></div></div>
<div class="ttc" id="aa08474_html"><div class="ttname"><a href="../../d0/d06/a08474.html">ExpansionActionGetOutExpansionVehicle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02852_source.html#l00024">expansionactiongetoutexpansionvehicle.c:14</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
<div class="ttc" id="aa08833_html_add59dc9e9e85a3185ba2cede7cf9449f"><div class="ttname"><a href="../../db/d9b/a08833.html#add59dc9e9e85a3185ba2cede7cf9449f">ActionCondition</a></div><div class="ttdeci">modded class ActionBuildPartCB ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d9b/a08833_source.html#l00014">actionbuildpart.c:27</a></div></div>
<div class="ttc" id="aa08872_html_a6b922d3bb1d26f790bc52030566ba2df"><div class="ttname"><a href="../../d7/d5c/a08872.html#a6b922d3bb1d26f790bc52030566ba2df">CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d5c/a08872_source.html#l00032">expansionactiondamagebasebuilding.c:32</a></div></div>
<div class="ttc" id="aa08872_html_af127b91bedeb70f79583b0183d86be98"><div class="ttname"><a href="../../d7/d5c/a08872.html#af127b91bedeb70f79583b0183d86be98">GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d5c/a08872_source.html#l00038">expansionactiondamagebasebuilding.c:38</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_9d8a725e685d7e2e79ef3720909cf5b7.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_bdf590611e398cb162e788e5239471a6.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_bed0f916786f5b73767adc31cd2f6bb1.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_c7b15e03556fbb96189670c7c298573c.html">interact</a></li><li class="navelem"><a class="el" href="../../da/de8/a02852.html">expansionactiongetoutexpansionvehicle.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
